package com.cab.model;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class CabLiveContent {
    private Integer contentId;

    private String contentTitle;

    private Date createDate;

    private Date endDate;

    private Date preheatDate;

    private String preheatImg;

    private Date startDate;

    private String status;

    private String thumbMinUrl;

    private String thumbUrl;

    private Integer userCount;

    private String userId;

    private String videoTime;

    private String videoUrl;

    private String contentDetail;

    public Integer getContentId() {
        return contentId;
    }

    public void setContentId(Integer contentId) {
        this.contentId = contentId;
    }

    public String getContentTitle() {
        return contentTitle;
    }

    public void setContentTitle(String contentTitle) {
        this.contentTitle = contentTitle == null ? null : contentTitle.trim();
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getPreheatDate() {
        return preheatDate;
    }

    public void setPreheatDate(Date preheatDate) {
        this.preheatDate = preheatDate;
    }

    public String getPreheatImg() {
        return preheatImg;
    }

    public void setPreheatImg(String preheatImg) {
        this.preheatImg = preheatImg == null ? null : preheatImg.trim();
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getThumbMinUrl() {
        return thumbMinUrl;
    }

    public void setThumbMinUrl(String thumbMinUrl) {
        this.thumbMinUrl = thumbMinUrl == null ? null : thumbMinUrl.trim();
    }

    public String getThumbUrl() {
        return thumbUrl;
    }

    public void setThumbUrl(String thumbUrl) {
        this.thumbUrl = thumbUrl == null ? null : thumbUrl.trim();
    }

    public Integer getUserCount() {
        return userCount;
    }

    public void setUserCount(Integer userCount) {
        this.userCount = userCount;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getVideoTime() {
        return videoTime;
    }

    public void setVideoTime(String videoTime) {
        this.videoTime = videoTime == null ? null : videoTime.trim();
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl == null ? null : videoUrl.trim();
    }

    public String getContentDetail() {
        return contentDetail;
    }

    public void setContentDetail(String contentDetail) {
        this.contentDetail = contentDetail == null ? null : contentDetail.trim();
    }

}